Package tigase.xmpp.impl

## Enum SaslAuth.ElementType

- java.lang.Object
- - java.lang.Enum<SaslAuth.ElementType>
  - - tigase.xmpp.impl.SaslAuth.ElementType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SaslAuth.ElementType>`
  Enclosing class:
    SaslAuth

      public static enum SaslAuth.ElementType
      extends java.lang.Enum<SaslAuth.ElementType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `abort` |
    `auth` |
    `challenge` |
    `failure` |
    `response` |
    `success` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SaslAuth.ElementType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SaslAuth.ElementType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### abort

          public static final SaslAuth.ElementType abort

    - #### auth

          public static final SaslAuth.ElementType auth

    - #### challenge

          public static final SaslAuth.ElementType challenge

    - #### failure

          public static final SaslAuth.ElementType failure

    - #### response

          public static final SaslAuth.ElementType response

    - #### success

          public static final SaslAuth.ElementType success

  - ### Method Detail

    - #### values

          public static SaslAuth.ElementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SaslAuth.ElementType c : SaslAuth.ElementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SaslAuth.ElementType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null